<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>sandbox sand</title>
</head>
<style>
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font: 18px/1.65 sans-serif;
    text-align: center;
}

a {
    text-decoration: none;    
    display: block;
    color: #333;
}

h1 {
    color: #333;
    padding: 0.5rem 0;
}
.filter {
    margin: 2rem 0 0.5rem;
}
.filter a {
    display: inline-block;
    padding: 0.5rem;
    border: 2px solid #333;
    position: relative;
    margin-right: 1.5rem;
    margin-bottom: 1.5rem;
}
.boxes {
    display: flex;
    flex-wrap: wrap;
}

.boxes a {
    width: 23%;
    border: 2px solid #333;
    margin: 0 1% 1.5rem 1%;
    line-height: 3rem;
}

.all {
    background: khaki;
}

.green {
    background: lightgreen;
}

.blue {
    background: lightblue;
}

.red {
    background: lightcoral;
}

.filter a.active::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    display: inline-block;
    border-width: 15px 15px 0 0;
    border-style: solid;
    border-color: #333 transparent transparent transparent; 
}
.is-animated {
    animation: .6s rotate-right;
}

</style>
<body>
    <h1>Sequential filtering component with CSS & jQuery</h1>

    <div class="cta filter">
        <a class="all active" data-filter="all" href="#" role="button">Show All</a>
        <a class="green" data-filter="green" href="#" role="button">Show Green Boxes</a>
        <a class="blue" data-filter="blue" href="#" role="button">Show Blue Boxes</a>
        <a class="red" data-filter="red" href="#" role="button">Show Red Boxes</a>
    </div>
    <div class="boxes">
        <a class="red" data-category="red" href="#">Box1</a>
        <a class="green" data-category="green" href="#">Box2</a>
        <a class="blue" data-category="blue" href="#">Box3</a>
        <a class="green" data-category="green" href="#">Box4</a>
        <a class="red" data-category="red" href="#">Box5</a>
        <a class="green" data-category="green" href="#">Box6</a>
        <a class="blue" data-category="blue" href="#">Box7</a>
        <a class="red" data-category="red" href="#">Box8</a>
        <a class="green" data-category="green" href="#">Box9</a>
        <a class="blue" data-category="blue" href="#">Box10</a>
        <a class="red" data-category="red" href="#">Box11</a>
        <a class="green" data-category="green" href="#">Box12</a>
        <a class="blue" data-category="blue" href="#">Box13</a>
        <a class="green" data-category="green" href="#">Box14</a>
        <a class="red" data-category="red" href="#">Box15</a>
        <a class="blue" data-category="blue" href="#">Box16</a>
      </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script>
        (function($) {

'use strict';

var $filters = $('.filter [data-filter]'),
  $boxes = $('.boxes [data-category]');

$filters.on('click', function(e) {
  e.preventDefault();
  var $this = $(this);
  
  $filters.removeClass('active');
  $this.addClass('active');

  var $filterColor = $this.attr('data-filter');

  if ($filterColor == 'all') {
    $boxes.removeClass('is-animated')
      .fadeOut().finish().promise().done(function() {
        $boxes.each(function(i) {
          $(this).addClass('is-animated').delay((i++) * 200).fadeIn();
        });
      });
  } else {
    $boxes.removeClass('is-animated')
      .fadeOut().finish().promise().done(function() {
        $boxes.filter('[data-category = "' + $filterColor + '"]').each(function(i) {
          $(this).addClass('is-animated').delay((i++) * 200).fadeIn();
        });
      });
  }
});

})(jQuery);

    </script>
</body>
</html>